define({"1410":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_existsByPath.htm",l:-1,t:"existsByPath",i:0.000693582035129255,a:"The existsByPath method checks whether a specified path exists in the JSON object. Syntax existsByPath( path ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example Consider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"1411":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_lookup.htm",l:-1,t:"lookup",i:0.000693582035129255,a:"The lookup method returns the value at the specified path in the JSON object. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"1412":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.000693582035129255,a:"The lookupByPath method returns the value at the specified path in the JSON object. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"1413":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_pairs.htm",l:-1,t:"pairs",i:0.000104039333639804,a:"The pairs method returns an iterator function that you can use with a for loop to iterate over all of the attributes contained in the JSON object. Syntax pairs() Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\n\nfor i, v in myJsonObject:pairs() do\n  print (i .. \u0027=\u0027 ..."},"1414":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_size.htm",l:-1,t:"size",i:0.000104039333639804,a:"size The size method returns the number of attributes (name/value pairs) in the JSON object. Syntax size() Returns (Number). The number of attributes in the JSON object. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nprint (myJsonObject:size())\n-- 2"},"1415":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_string.htm",l:-1,t:"string",i:0.000104039333639804,a:"string The string method returns the JSON object as a string. Syntax string() Returns (String). The JSON object as a string. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nprint (myJsonObject:string())\n-- {\"product\":\"IDOL\",\"version\":11}"},"1416":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA__LuaJsonValue.htm",l:-1,t:"LuaJsonValue Methods",i:0.000364162014520595,a:"A LuaJsonValue object represents a JSON value.  If you have a LuaJsonValue object called myJsonValue you can call its methods using the \u0027:\u0027 operator. For example: myJsonValue:is_object() Method Description array Gets a LuaJsonArray that represents the JSON array, if the value is an array. copy ..."},"1417":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_LuaJsonValue_new.htm",l:-1,t:"LuaJsonValue:new",i:9.39333357984815E-05,a:"LuaJsonValue:new The constructor for a LuaJsonValue object (creates a new LuaJsonValue). Syntax LuaJsonValue:new( value ) Arguments Returns (LuaJsonValue). The new LuaJsonValue object."},"1418":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_array.htm",l:-1,t:"array",i:9.39333357984815E-05,a:"The array method gets the array, if the value is a JSON array. Syntax array() Returns (LuaJsonArray). A  LuaJsonArray  object that represents the array. Example local fh = io.open(\"example_array.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = ..."},"1419":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_copy.htm",l:-1,t:"copy",i:9.39333357984815E-05,a:"copy The copy method returns a copy of the value. Modifying the copy does not affect the original value. Syntax copy() Returns (LuaJsonValue). A copy of the value."},"1420":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_exists.htm",l:-1,t:"exists",i:0.000626210437810112,a:"The exists method checks whether a specified path exists in the JSON value. Syntax exists( pathElements ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example \nConsider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"1421":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_existsByPath.htm",l:-1,t:"existsByPath",i:0.000626210437810112,a:"The existsByPath method checks whether a specified path exists in the JSON value.  Syntax existsByPath( path ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example Consider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"1422":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_array.htm",l:-1,t:"is_array",i:9.39333357984815E-05,a:"is_array The is_array method whether the value is a JSON array. Syntax is_array() Returns (Boolean). Returns true if the value is an array value, false otherwise."},"1423":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_boolean.htm",l:-1,t:"is_boolean",i:9.39333357984815E-05,a:"is_boolean The is_boolean method returns whether the value is a Boolean value. Syntax is_boolean() Returns (Boolean). Returns true if the value is a Boolean value, false otherwise."},"1424":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_float.htm",l:-1,t:"is_float",i:9.39333357984815E-05,a:"is_float The is_float method returns whether the value is a floating point value. Syntax is_float() Returns (Boolean). Returns true if the value is a floating point value, false otherwise."},"1425":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_integer.htm",l:-1,t:"is_integer",i:9.39333357984815E-05,a:"is_integer The is_integer method returns whether the value is an integral value. Syntax is_integer() Returns (Boolean). Returns true if the value is an integer value, false otherwise."},"1426":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_null.htm",l:-1,t:"is_null",i:9.39333357984815E-05,a:"is_null The is_null method returns whether the value is a null value. Syntax is_null() Returns (Boolean). Returns true if the value is a null value, false otherwise."},"1427":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_number.htm",l:-1,t:"is_number",i:9.39333357984815E-05,a:"is_number The is_number method returns whether the value is a number. Syntax is_number() Returns (Boolean). Returns true if the value is a number, false otherwise."},"1428":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_object.htm",l:-1,t:"is_object",i:9.39333357984815E-05,a:"is_object The is_object method returns whether the value is a JSON object. Syntax is_object() Returns (Boolean). Returns true if the value is a JSON object, false otherwise."},"1429":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_simple_value.htm",l:-1,t:"is_simple_value",i:9.39333357984815E-05,a:"is_simple_value The is_simple_value method returns whether the value is a simple value (Boolean, float, integer, or string). Syntax is_simple_value() Returns (Boolean). Returns true if the value is a simple value, false otherwise."},"1430":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_string.htm",l:-1,t:"is_string",i:9.39333357984815E-05,a:"is_string The is_string method returns whether the value is a string value. Syntax is_string() Returns (Boolean). Returns true if the value is a string value, false otherwise."},"1431":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookup.htm",l:-1,t:"lookup",i:0.000626210437810112,a:"The lookup method returns the value at the specified path in the JSON value. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified path, ..."},"1432":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.000626210437810112,a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"1433":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_object.htm",l:-1,t:"object",i:9.39333357984815E-05,a:"The object method gets the object, if the value is a JSON object. Syntax object() Returns (LuaJsonObject) A  LuaJsonObject  object that represents the JSON object. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ..."},"1434":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_string.htm",l:-1,t:"string",i:9.39333357984815E-05,a:"The string method returns the JSON value as a string. Syntax string() Returns (String). The JSON value as a string. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = parse_json(file_content)\n\nprint(myJsonValue:string())\n"},"1435":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_value.htm",l:-1,t:"value",i:9.39333357984815E-05,a:"The value method gets the value, if the JSON value is a simple type (a Boolean, float, integer, or string). This method returns a default value if one is specified and the value cannot be converted to the same type as the default. Syntax value( [default] ) Arguments Returns (lua_json_simple_type). A ..."},"1436":{y:0,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",l:-1,t:"LuaLog Methods",i:0.00057013651171295,a:"LuaLog Methods A LuaLog object provides the capability to use a log stream. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: log:write_line(level, message)"},"1437":{y:0,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",l:-1,t:"write_line",i:0.000319950057409373,a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Example local config = get_config(\"connector.cfg\")\nlocal log = get_log(config, \"SynchronizeLogStream\")\nlog:write_line( log_level_error() , \"This message is written to the synchronize log\")"},"1438":{y:0,u:"../Content/Lua/LuaLogService/_LUA__LuaLogService.htm",l:-1,t:"LuaLogService Methods",i:0.000102931173074474,a:"A LuaLogService object provides the capability to write messages to a standard or custom log file. If you have a LuaLogService object called myLogService you can call its methods using the \u0027:\u0027 operator. For example: myLogService:get_log(\"application\") Method Description get_log Returns a LuaLog ..."},"1439":{y:0,u:"../Content/Lua/LuaLogService/_LUA_LuaLogService_new.htm",l:-1,t:"LuaLogService:new",i:0.000121387636365844,a:"The constructor for a LuaLogService object (creates a new LuaLogService). Do not create a new log service to write messages to log types that are defined in the IDOL Server configuration file. Instead use the same log service as IDOL Server, by calling  get_log_service , or obtain a LuaLog object ..."},"1440":{y:0,u:"../Content/Lua/LuaLogService/_LUA_get_log.htm",l:-1,t:"get_log",i:0.000121387636365844,a:"get_log The get_log method returns a LuaLog object that you can use to write log messages to a specified log type. Syntax get_log( type ) Arguments Returns (LuaLog). A  LuaLog  object. Example local log = myLuaLogService:get_log(\"import\")\n-- import is a standard log type for CFS"},"1441":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",l:-1,t:"LuaRegexMatch Methods",i:7.76418686683815E-05,a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ..."},"1442":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",l:-1,t:"length",i:9.08409916900761E-05,a:"length The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Returns (Number). The length of the sub match."},"1443":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",l:-1,t:"next",i:9.08409916900761E-05,a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one."},"1444":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",l:-1,t:"position",i:9.08409916900761E-05,a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Returns (Number). The position of the ..."},"1445":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",l:-1,t:"size",i:9.08409916900761E-05,a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match."},"1446":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_str.htm",l:-1,t:"str",i:9.08409916900761E-05,a:"str The str method returns the value of the substring that matched the regular expression. You can also retrieve the values of sub matches by specifying the submatch parameter. Syntax str( [ submatch ] ) Arguments Returns (String). The value of the sub match."},"1447":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",l:-1,t:"LuaXmlDocument Methods",i:7.76418686683815E-05,a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ..."},"1448":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",l:-1,t:"root",i:9.08409916900761E-05,a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object."},"1449":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",l:-1,t:"XPathExecute",i:9.08409916900761E-05,a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Returns (LuaXmlNodeSet). A LuaXmlNodeSet object."},"1450":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",l:-1,t:"XPathRegisterNs",i:9.08409916900761E-05,a:"XPathRegisterNs The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Returns (Boolean). True if successful, False in case of error."},"1451":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",l:-1,t:"XPathValue",i:9.08409916900761E-05,a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Returns (String). A string of the value."},"1452":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",l:-1,t:"XPathValues",i:9.08409916900761E-05,a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: values = { xml:XPathValues(query) }"},"1453":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",l:-1,t:"LuaXmlNodeSet Methods",i:7.76418686683815E-05,a:"LuaXmlNodeSet Methods A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size()"},"1454":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",l:-1,t:"at",i:0.000110639676222618,a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Returns (LuaXmlNode)."},"1455":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",l:-1,t:"size",i:0.000110639676222618,a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set."},"1456":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",l:-1,t:"LuaXmlNode Methods",i:7.76418686683815E-05,a:"LuaXmlNode Methods A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name()"},"1457":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",l:-1,t:"attr",i:8.42414301792288E-05,a:"attr The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Returns (LuaXmlAttribute). "},"1458":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",l:-1,t:"content",i:8.42414301792288E-05,a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content."},"1459":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",l:-1,t:"firstChild",i:8.42414301792288E-05,a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode)."},"1460":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",l:-1,t:"lastChild",i:8.42414301792288E-05,a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode)."},"1461":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",l:-1,t:"name",i:8.42414301792288E-05,a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name."},"1462":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",l:-1,t:"next",i:8.42414301792288E-05,a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode)."},"1463":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",l:-1,t:"nodePath",i:8.42414301792288E-05,a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path."},"1464":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",l:-1,t:"parent",i:8.42414301792288E-05,a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode)."},"1465":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",l:-1,t:"prev",i:8.42414301792288E-05,a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode)."},"1466":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",l:-1,t:"type",i:8.42414301792288E-05,a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ..."},"1467":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",l:-1,t:"LuaXmlAttribute Methods",i:7.76418686683815E-05,a:"LuaXmlAttribute Methods A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name()"},"1468":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",l:-1,t:"name",i:9.41407724454997E-05,a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute."},"1469":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",l:-1,t:"next",i:9.41407724454997E-05,a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute)."},"1470":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",l:-1,t:"prev",i:9.41407724454997E-05,a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute)."},"1471":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",l:-1,t:"value",i:9.41407724454997E-05,a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute."},"1472":{y:0,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_OS3PLicenses.htm",l:-1,t:"Open Source and Third-Party Software License Agreements (Online Help)",i:7.76418686683815E-05,a:"Micro Focus acknowledges the redistribution  of open source and third-party components as part of the Help content that use the following licenses. Apache License 2.0 PIE.htc, PIE_uncompressed.htc, PIE-no-motw.htc For the text of the Apache License 2.0, see  Appendix: Apache License 2.0 (Full Text) ..."},"1473":{y:0,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_Apache_v2.0_fullText.htm",l:-1,t:"Appendix: Apache License 2.0 (Full Text)",i:9.96404070378725E-05,a:"Apache License Version 2.0, January 2004\n             http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. \"License\" shall mean the terms and conditions for use, reproduction, and\n\t\tdistribution as defined by Sections 1 through 9 of this ..."},"1474":{y:0,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_BSD_3-Clause_fullText.htm",l:-1,t:"Appendix: BSD 3-Clause License (Full Text)",i:9.96404070378725E-05,a:"Copyright (c) \u003cYEAR\u003e, \u003cOWNER\u003e All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the ..."},"1475":{y:0,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_MITLicense_fullText.htm",l:-1,t:"Appendix: The MIT License (Full Text)",i:9.96404070378725E-05,a:"\nThe MIT License (MIT) \nCopyright (c) \u003cyear\u003e \u003ccopyright holders\u003e Permission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto ..."},"1476":{y:0,u:"../Content/Actions/Query/ActionParameters/UserMetaFields.htm",l:-1,t:"UserMetaFields",i:0.00073334069551014,a:"An operation to perform on document fields to create a new metafield, which you can use in your query for further processing. To create a user metafield, set this parameter to an operation in the following format: UserMetaFields=OPERATION{UserFieldName}:DocumentFieldName where, You can optionally ..."},"1477":{y:0,u:"../Content/Actions/Cluster/ActionParameters/Retries.htm",l:-1,t:"Retries",i:0.000913419639018719,a:"The number of times to attempt to run the action again if the action fails. IDOL Server attempts to run the action again only if the failure was recoverable. For example, if you specify parameters that are not valid for the action, it can never succeed, and IDOL Server does not attempt to run it ..."},"1478":{y:0,u:"../Content/Actions/Cluster/ActionParameters/Username.htm",l:-1,t:"Username",i:0.00147708977539868,a:"The name of the user running the action. IDOL Server checks if this user belongs to a role that has appropriate cluster access permissions to run the action. If users attempt to run a cluster action that they do not have permission for, IDOL Server returns an authentication error.  When the list of ..."},"1479":{y:0,u:"../Content/Actions/Query/ActionParameters/MinTermLength.htm",l:-1,t:"MinTermLength",i:0.000518717622003857,a:"MinTermLength The minimum length that a term in the query must have (after stemming) to be sent to IDOL Server. Any term that has fewer than the specified number of characters is ignored."},"1480":{y:0,u:"../Content/Actions/User/ActionParameters/Security.htm",l:-1,t:"Security",i:0.000878538515126998,a:"Allows you to create or edit a security field for the user in which to store the user security details for a repository. If the field you specify does not currently exist, it is created for the user. Use the following format to create a security field: Security SecurityTypeSecurityField= Value ..."},"1481":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/UID_Index.htm",l:-1,t:"UID ",i:0.000291114023419777,a:"UID  The ID of the user to index agents and profiles for."},"1482":{y:0,u:"../Content/Actions/View/ActionParameters/MultiHighlight.htm",l:-1,t:"MultiHighlight",i:0.000793444374694244,a:"Set MultiHighlight to  True to use different highlighting tags for different link terms (for example, to highlight each term in a different color). In this case, you must set the  Links ,  StartTag , and  EndTag  parameters to a list of options, separated by semicolons (;). IDOL Server highlights ..."},"1483":{y:0,u:"../Content/Actions/Miscellaneous/ActionParameters/Text_Summarize.htm",l:-1,t:"Text",i:0.000302030081147932,a:"Text This parameter description applies only to the  Summarize  action. The text that you want to summarize."},"1484":{y:0,u:"../Content/Actions/Cluster/ActionParameters/PositiveClusters.htm",l:-1,t:"PositiveClusters",i:0.000323564109539278,a:"PositiveClusters A comma-separated list of the ID numbers of one or more clusters generated by  RefineJobName  to bias re-clustering toward. You control the strength of the biasing by using the  RefineStrength  parameter. You can include ranges as well as individual IDs. "},"1485":{y:0,u:"../Content/Actions/Query/ActionParameters/Reference.htm",l:-1,t:"Reference",i:0.000308382090876373,a:"The references of one or more documents whose content you want to display.  If the reference contains plus symbols (+) or spaces, you must percent-encode the reference twice. If you have multiple references, percent-encode each reference separately once, then separate the references with plus ..."},"1486":{y:0,u:"../Content/Index Actions/AdministerIndex/Parameters/_IX_Overwrite.htm",l:-1,t:"Overwrite",i:0.000267940667386902,a:"Overwrite Set Overwrite to  False to prevent the new backup from deleting an existing backup."},"1487":{y:0,u:"../Content/Index Actions/AdministerIndex/Parameters/_IX_TagField.htm",l:-1,t:"TagField",i:0.000418518754125053,a:"TagField The field to tag duplicates with, when  DuplicateAction  is set to Tag."},"1488":{y:0,u:"../Content/Actions/Category/ActionParameters/Parent_CategoryCopy.htm",l:-1,t:"Parent",i:0.000179975125335159,a:"Parent This parameter description applies only to the  CategoryCopy  action. The ID of the category to set as the parent for your new category. If you do not specify a value for Parent, the new category has the same parent as the category that it was copied from."},"1489":{y:0,u:"../Content/Actions/Query/ActionParameters/MultiStage.htm",l:-1,t:"MultiStage",i:0.000574081555214136,a:"Set MultiStage to  True to enable multistage querying for the DAH running in non-mirror mode. A multistage query is processed stage-by-stage across specified VDBs. The specified VDBs serve the query in stages. Each stage is a separate query. DAH stores all results in each stage until sufficient ..."},"1490":{y:0,u:"../Content/Actions/Miscellaneous/ActionParameters/Characters.htm",l:-1,t:"Characters",i:0.000218545449806798,a:"The number of characters that each summary can contain. By default the number of characters that summaries contain are not restricted. For a  Concept or  Context Summary , if you set both the  Sentences  and Characters parameters, IDOL Server attempts to satisfy both requirements. If it cannot apply ..."},"1491":{y:0,u:"../Content/Actions/Profile/ActionParameters/Mode.htm",l:-1,t:"Mode",i:0.000373567908953171,a:"Mode The type of content that you have specified in the  Document  parameter. Use one of the following options: Reference. One or more document references. ID. One or more document IDs. Text. A text string."},"1492":{y:0,u:"../Content/Actions/Profile/ActionParameters/MaxScore.htm",l:-1,t:"MaxScore",i:0.000272234201343779,a:"MaxScore The maximum score value that a profile must have to return results."},"1493":{y:0,u:"../Content/Actions/Tag/ActionParameters/FieldCode.htm",l:-1,t:"FieldCode",i:0.000158160297188037,a:"FieldCode The field code of the fields to return. Separate multiple codes with a plus symbol (+) or spaces. You can also specify a range of codes. For example: 11+21-25."},"1494":{y:0,u:"../Content/Index Actions/IndexData/Parameters/_IX_SecurityFields.htm",l:-1,t:"SecurityFields",i:0.000256320043475464,a:"The fields that contain the security type of the document. Micro Focus recommends that you use field configuration to set  SecurityType  fields, instead of setting this parameter for a single index action. Separate multiple fields with commas. There must be no space before or after a comma. You can ..."},"1495":{y:0,u:"../Content/Actions/Query/ActionParameters/MinScore.htm",l:-1,t:"MinScore",i:0.000458796662889063,a:"MinScore The minimum percentage relevance that results must have to the query."},"1496":{y:0,u:"../Content/Actions/Term/ActionParameters/MatchID.htm",l:-1,t:"MatchID",i:0.000215559884430096,a:"The IDs of one or more documents to use to restrict the term occurrence information. If you set MatchID,  TermGetInfo  returns information about the number of documents in the specified set that contain the query terms, and the total number of times the terms occur in those documents. Separate ..."},});